Sheets
List typed columns in an in-house sheet tab
GET
/v1/space/sheets/{sheet_id}/tabs/{tab_id}/columns
curl -X GET "https://api.orchestor.io/v1/space/sheets/%3Csheet_id%3E/tabs/%3Ctab_id%3E/columns" \ -H "Authorization: Bearer $API_KEY" \ -H "X-Workspace-ID: wks_abc123"{ "data": [ { "color": "<string>", "currencyCode": "<string>", "description": "<string>", "hidden": true, "id": "<string>", "options": [ "<string>" ], "pinned": true, "title": "<string>", "type": "text", "width": 104 } ]}Get your Orchestor API key
Create an API key in your workspace settings.
Authorizations
Authentication details
cookie
Headers
Workspace to access. With a workspace-scoped API key, the server derives this value from the key, so the header is optional. If supplied, it must match the credential workspace or the request returns 403 workspace_mismatch. For interactive session requests, supply this header to select a workspace where you are a member. A project ID cannot be used as a workspace ID.
Example
"wks_abc123"Response
application/json